idevicecrashreport(1)

NAME
idevicecrashreport - Retrieve crash reports from a device.

SYNOPSIS
idevicecrashreport [OPTIONS] DIRECTORY

DESCRIPTION
Simple utility to move crash reports from a device to a local directory. The utility outputs lines prefixed with either "Link:", "Copy:" or "Move:" depending on whether a symlink was created, a file was copied or moved from the device to the target DIRECTORY.

OPTIONS

-u, --udid UDID
    Target specific device by UDID.

-n, --network
    Connect to network device.

-e, --extract
    Extract raw crash report into separate '.crash' files.

-k, --keep
    Copy but do not remove crash reports from device.

-d, --debug
    Enable communication debugging.

-f, --filter NAME
    Filter crash reports by NAME (case sensitive)

--remove-all
    Remove all crash log files without copying. Can be used with -f to only remove matching files.

-h, --help
    Prints usage information.

-v, --version
    Prints version information.

AUTHOR
Martin Szulecki Nikias Bassen

ON THE WEB
https://libimobiledevice.org https://github.com/libimobiledevice/libimobiledevice